Create HTTP monitors from a CSV. Each row goes through `POST /http/job` so EventBridge schedules are attached.
POST
/http/jobs/import
const url = 'https://api.siteqwality.com/http/jobs/import';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"csv":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.siteqwality.com/http/jobs/import \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "csv": "example" }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
csv
required
string
Example generated
{ "csv": "example"}Responses
Section titled “ Responses ”Import finished
Media type application/json
object
created
required
integer
errors
required
Array<string>
Example generated
{ "created": 1, "errors": [ "example" ]}CSV could not be parsed
Missing or invalid authentication